PDA

View Full Version : What patches and where to dl them for IL2 ?



BOBC2
02-14-2009, 08:38 PM
Hi, I have the original boxed IL2 and alsoAce Expansion Pack and reckon there must be patches etc by now. I have downloaded 4.08 for the IL2 from gamershell, is this containing all previous patches ? What is there and where is it for both of these. What are the must haves and must do's etc. Surfing for some time even here and finding no mention of patches or anything.
BOBC2

BOBC2
02-14-2009, 08:38 PM
Hi, I have the original boxed IL2 and alsoAce Expansion Pack and reckon there must be patches etc by now. I have downloaded 4.08 for the IL2 from gamershell, is this containing all previous patches ? What is there and where is it for both of these. What are the must haves and must do's etc. Surfing for some time even here and finding no mention of patches or anything.
BOBC2

berg417448
02-14-2009, 09:22 PM
http://forums.ubi.com/eve/foru...3110283/m/4721047273 (http://forums.ubi.com/eve/forums/a/tpc/f/23110283/m/4721047273)

blairgowrie
02-15-2009, 05:16 AM
You could save yourself a lot of time,effort and possibly frustration by picking up a copy of the il2_1946 DVD. Just one patch 4.08m and you will have an up to date game.

The dvd is available from Go Gamer, Game Stop or Amazon on line. Or you might be able to pick up a copy from Best Buy, Circuit City or Walmart, if you are in the US.

Skycat_2
02-15-2009, 11:40 AM
If what you have is really the "original IL-2," the Aces Expansion Pack won't work for it. The AEP is the first add-on for "IL-2 Sturmovik Forgotten Battles." Check your box's title and artwork; if the painting on the front matches the one on the banner at the top of this page then you won't be able to use AEP.

If you have Forgotten Battles, install that first. Then install Aces Expansion Pack. Delete your 4.08 patch that you downloaded because you can't use it; that is for the full "IL-2 1946" package only.

After you install AEP you will be at v2.0 of the game. You can install two more patches, v2.01 and v2.04 as I recall. That is all the further you can go unless you purchase Pacific Fighters. Even with PF installed you won't be able to use that 4.08 patch however.

Swivet
02-15-2009, 12:23 PM
<BLOCKQUOTE class="ip-ubbcode-quote"><div class="ip-ubbcode-quote-title">quote:</div><div class="ip-ubbcode-quote-content">Originally posted by BOBC2:
Hi, I have the original boxed IL2 and alsoAce Expansion Pack and reckon there must be patches etc by now. I have downloaded 4.08 for the IL2 from gamershell, is this containing all previous patches ? What is there and where is it for both of these. What are the must haves and must do's etc. Surfing for some time even here and finding no mention of patches or anything.
BOBC2 </div></BLOCKQUOTE>



Oh you said patches (http://www.youtube.com/watch?v=VqomZQMZQCQ) Ok nevermind then.....Blairgo said it all... http://forums.ubi.com/groupee_common/emoticons/icon_biggrin.gif You will only have one patch or if you want the 4.09beta...But if you end up going to the Darkside of the "mods" world...You might rack up another 5 GIGs right there..lol..Enjoy and welcome aboard..See ya in the skies!

BOBC2
02-15-2009, 02:06 PM
Hi, thanks for the replies.
I have in fact IL2 Sturmovik Forgotten Battles with a hurri shooting down a stuka on the cover. Thus AEP is ok for me.

Do I in fact need the patch I saw in the patches overview thread IL2_fb_v1.0_to_v1.22.exe ?
I went start&gt;run and ran it, it unzipped to my Il2 folder and nothing more happened. Realising that perhaps this was not correct, annoyingly there are no instructions with it as to how to install it or what todo with it. I unzipped it again this time to a folder of my making. In it is an il2setup.exe. I tried running that and immediately get a tabbed dialog box, something like I saw after I had installed IL2. Driver tab offers 640x480 and 800x600. My video card is capable of much higher ! so are most ! Video tab asks for mipmap settings and all sorts of stuff that non experts would find baffling (mulitexture, clip hint, vertex array and so on, with tick boxes), further tabs on joystick, sound and network. If I ok that lot part not knowing what to select !! I get a donk sound and a conf.ini file appears in that folder with the unzipped files...and thats it.

Left totaly baffled I am hoping I dont need this patch unless I can find out exactly how to install it.

Is it that having installed AceExpansionPack, that this AEP prog deals with any patches that IL2 FB needed ? The read me for 1.22 though mentions addition of a P51D5, a Ki84 1a, an A6M5a but I dont see these in the drop down lists when choosing aircraft. e.g. Japan has A6M2 but no A6M5a. With the unzipping to a separate folder seemingly doing nothing, I can but assume the first attempt where it unzipped to the games folder was the correct method, so where are these aircraft ?

Is it that I only need to put on patches 2.01 and 2.04 ? If so, just how does one install them ? Again unzipping 2.01 to a folder I made, and reading the readme, it says nothing about how to install. Readme's should tell you that and it doesnt.

Stumped !

BOBC2

Swivet
02-15-2009, 04:14 PM
If you have Ace Expansion pack, install it over any version of FB. Then you will need:
- il2_aep_v2.01.exe
- il2_aep_v2.04.exe

When in doubt about installing, just make a backup of your files and unzip and copy new files into your games main folder.....Look in the community help forums as well.....You'll get plenty of help there too http://forums.ubi.com/images/smilies/25.gif

BOBC2
02-15-2009, 05:47 PM
Hi, Thanks for the info. I am now unzipping the two patches to the address the unzipper offers, thats the program address C:\ProgramFiles\Ubisoft\IL2-Sturmovick Forgotten Battles.

Where is the correct place to ask of gameplay etc for IL2, things like how to zoom in and out towards the aircraft when in external view.
How to get the aircraft to fill the screen a bit more etc.

Where to get improved or new 'aftermarket' skins and other 3D aircraft addons and how to install them.

Cheers
BOBC2

Skycat_2
02-15-2009, 07:26 PM
Skins:
Mission4Today (http://mission4today.com/index.php?name=Downloads2)
CombatAce (http://forum.combatace.com/index.php?autocom=downloads&showcat=44)
Netwings (http://www.netwings.org/library/Forgotten_Battles_and_Pacific_Fighters/)

You can get campaigns, single missions, addon utilities, etc. at those sites as well.

Asking about 3D addons is Hush-Hush here because technically the sim's code is still closed and modding other than repaints is officially not supported or encouraged.

Skycat_2
02-15-2009, 07:37 PM
<BLOCKQUOTE class="ip-ubbcode-quote"><div class="ip-ubbcode-quote-title">quote:</div><div class="ip-ubbcode-quote-content">Originally posted by BOBC2:
Where is the correct place to ask of gameplay etc for IL2, things like how to zoom in and out towards the aircraft when in external view.
How to get the aircraft to fill the screen a bit more etc.
</div></BLOCKQUOTE>
I have an FAQ link in my sig. The Nugget's Guide sticky and my Updating 1946 guide are written with the latest version of the game in mind but you may find useful information. Otherwise, just ask your questions here. http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif

You can zoom in and out in external view with your mouse. Push left-click button and drag the mouse.

In gunsight or cockpit view you can change the Field of View by hitting the default keys, which from memory are Home, Insert, End (I could be wrong though). You can also assign your own commands to zoom forward or zoom back if you go into Controls in your game's main menu.

Bearcat99
02-15-2009, 09:01 PM
Get 46.

Ritter_Cuda
02-15-2009, 11:44 PM
what bear said!!!!